{{ define "header"}}
    {{- partial "_shared/navbar.html" . -}}
{{ end }}

{{ define "main" }}
    {{- partial "_shared/title.html" . -}}
    <div class="main-content">
        <!-- Posts Index
        ================================================== -->
        <section class="recent-posts">               
            <div class="row listrecent">
                {{ $post_paginator := .Paginate (where .Site.RegularPages "Type" "in" .Site.Params.mainSections) 6 }}
                {{ range $post_paginator.Pages }}
                    {{- partial "list-partials/postbox.html" . -}}
                {{end}}
            </div>
        </section>
        {{- partial "list-partials/pagination.html" $post_paginator -}}
    </div>
    {{- partial "_shared/alertbar.html" . -}}
{{ end }}

{{ define "footer"}}
    {{- partial "_shared/jumbotron.html" . -}}
    {{- partial "_shared/footer.html" . -}}
{{ end }}
